org.wildfly.swarm.jgroups

## Class JGroupsFraction

- java.lang.Object
- - org.wildfly.swarm.config.JGroups<JGroupsFraction>
  - - org.wildfly.swarm.jgroups.JGroupsFraction

- All Implemented Interfaces:
    Fraction<JGroupsFraction>

      public class JGroupsFraction
      extends JGroups<JGroupsFraction>
      implements Fraction<JGroupsFraction>

  Author:
    Bob McWhirter

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.wildfly.swarm.config.JGroups

      `JGroups.JGroupsResources`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JGroupsFraction()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `JGroupsFraction` | `applyDefaults(boolean hasConfiguration)` The container always calls this method, but the default implementation delegates to `Fraction.applyDefaults()`.
    `JGroupsFraction` | `applyMulticastDefaults()`
    `static JGroupsFraction` | `defaultFraction()`
    `String` | `defaultMulticastAddress()`
    `JGroupsFraction` | `defaultMulticastAddress(String defaultMulticastAddress)`
    `static JGroupsFraction` | `defaultMulticastFraction()`

    - ### Methods inherited from class org.wildfly.swarm.config.JGroups

      `addPropertyChangeListener, channel, channel, channel, channel, channels, defaultChannel, defaultChannel, defaultStack, defaultStack, getKey, removePropertyChangeListener, stack, stack, stack, stack, stacks, subresources`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.wildfly.swarm.spi.api.Fraction

      `applyDefaults`

- - ### Constructor Detail

    - #### JGroupsFraction

          public JGroupsFraction()

  - ### Method Detail

    - #### defaultFraction

          public static JGroupsFraction defaultFraction()

    - #### defaultMulticastFraction

          public static JGroupsFraction defaultMulticastFraction()

    - #### applyDefaults

          public JGroupsFraction applyDefaults(boolean hasConfiguration)

      Description copied from interface: `Fraction`
      The container always calls this method, but the default implementation delegates to `Fraction.applyDefaults()`.

      Unlike `Fraction.applyDefaults()` this method allows a fraction to customize the defaults depending on whether this fraction was explicitly configured by a user or not.

      Specified by:
        `applyDefaults` in interface `Fraction<JGroupsFraction>`
      Returns:
        this fraction

    - #### applyMulticastDefaults

          public JGroupsFraction applyMulticastDefaults()

    - #### defaultMulticastAddress

          public JGroupsFraction defaultMulticastAddress(String defaultMulticastAddress)

    - #### defaultMulticastAddress

          public String defaultMulticastAddress()

Copyright © 2018 JBoss by Red Hat. All rights reserved.